> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v2 Locations Filter

> Retrieve accessible locations that satisfy filter criteria.



## OpenAPI

````yaml post /v2/locations/filter
openapi: 3.0.0
info:
  contact: {}
  description: >-
    V2 HTTP JSON API for localcopy-surveys stored info
    (namespaces,releases,waves,locations)
  title: localcopy-surveys API
  version: 2.0.0
servers:
  - url: https://api.globalwebindex.com
security: []
paths:
  /v2/locations/filter:
    post:
      tags:
        - Locations
      summary: v2 Locations Filter
      description: Retrieve accessible locations that satisfy filter criteria.
      operationId: v2LocationsFilter
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/localcopysurveyspbv2rest.LocationsFilterRequest
        description: request for filter
        required: true
      responses:
        '200':
          description: details about locations
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/localcopysurveyspbv2rest.LocationsFilterResponse
        '400':
          description: permissions service rejected a request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
        '500':
          description: internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
        default:
          description: some other error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    localcopysurveyspbv2rest.LocationsFilterRequest:
      properties:
        include:
          $ref: >-
            #/components/schemas/localcopysurveyspbv2rest.LocationsFilterRequestInclude
        namespaces:
          description: Namespace codes to filter locations by.
          items:
            $ref: '#/components/schemas/localcopysurveyspbv2rest.NamespacesFilter'
          type: array
        waves:
          description: Wave codes to filter locations by.
          items:
            $ref: '#/components/schemas/localcopysurveyspbv2rest.WavesFilter'
          type: array
      type: object
    localcopysurveyspbv2rest.LocationsFilterResponse:
      properties:
        locations:
          description: List of locations found using the filter criteria.
          items:
            $ref: '#/components/schemas/localcopysurveyspbv2rest.Location'
          type: array
      type: object
    errors.HTTPError:
      properties:
        code:
          type: integer
        err:
          type: string
        type:
          type: string
      type: object
    localcopysurveyspbv2rest.LocationsFilterRequestInclude:
      properties:
        regions:
          description: Include regions in the response.
          type: boolean
      type: object
    localcopysurveyspbv2rest.NamespacesFilter:
      properties:
        code:
          description: Code of the namespace filter (core, gwi-ext, ...).
          type: string
      type: object
    localcopysurveyspbv2rest.WavesFilter:
      properties:
        code:
          description: Code of the wave filter (q1_2020, q2_2020, ...).
          type: string
      type: object
    localcopysurveyspbv2rest.Location:
      properties:
        accessible:
          description: Is location accessible by the user? (true).
          type: boolean
        code:
          description: Location code ("s2_420").
          type: string
        id:
          description: Location ID.
          type: string
        iso_code:
          description: Location ISO code (cze).
          type: string
        name:
          description: Location name (Czech Republic).
          type: string
        namespaces:
          description: Location's namespaces and waves where available/permitted.
          items:
            $ref: '#/components/schemas/localcopysurveyspbv2rest.LocationNamespace'
          type: array
        region:
          $ref: '#/components/schemas/localcopysurveyspbv2rest.Region'
      type: object
    localcopysurveyspbv2rest.LocationNamespace:
      properties:
        code:
          description: Namespace code (core).
          type: string
        wave_codes:
          description: Wave codes ([q1_2020, q2_2020]).
          items:
            type: string
          type: array
      type: object
    localcopysurveyspbv2rest.Region:
      properties:
        area:
          description: Area name (euro).
          type: string
        code:
          description: Region code (s6_2).
          type: string
        id:
          description: Region ID.
          type: string
        name:
          description: Region name (Europe).
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````